### Method

# RB TransferTarget get_format_descriptions

#### Declaration [src]

    GList*
    rb_transfer_target_get_format_descriptions (
      RBTransferTarget* target
    )

#### Description [src]

Returns a `GList` of allocated media format descriptions for the formats supported by the target. The list and the strings it holds must be freed by the caller.

#### Return value

Type: A list of `utf8`

List of descriptions.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.